import { LRLanguage, LanguageSupport } from "@codemirror/language";
import { Completion } from "@codemirror/autocomplete";
declare const simpleBooleanLanguage: LRLanguage;
/**
 * Customizable autocomplete function for lang-simpleboolean
 * @param completeFromListParameter Completion[]
 * @returns CodeMirror autocomplete
 */
declare const simpleBooleanCompletion: (completeFromListParameter?: Completion[]) => import("@codemirror/state").Extension;
declare function simpleboolean(): LanguageSupport;
export { simpleBooleanLanguage, simpleBooleanCompletion, simpleboolean };
